Subject: Re: [PATCH] alternative to sys_indirect, part 1

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 24 Apr 2008 10:20:42 -0700

Michael Kerrisk wrote:
> On 4/24/08, Alan Cox <[email-masked]> wrote:
>>> But this approach fixes just one of the interfaces.  There are 7 or 8
>>  > other interfaces that need to solve the same problem.  What about
>>  > those?
>>
>>
>> Actually it seems to fix most of them.
> 
> Am I missingg something?  How?  There a number of system calls that
> have neither a flags argument, nor another argument that we can
> overload (as you propose with socket()).  For those, we'd need new
> system calls os sys_indirect().
> 

sys_indirect is a total red herring here, since it won't help one iota 
making the userspace interface comprehensible - it just introduces a 
different calling convention that the C library will have to thunk.

	-hpa